Does GEN-B work with chickHEN?

Discussion in 'PSP - Games & Content' started by FoolishDreamer, Oct 1, 2009.

  1. FoolishDreamer
    OP

    FoolishDreamer Member

    Newcomer
    45
    0
    Oct 27, 2008
    United States
    Hi, I have a PSP3000 with chickHEN and CFEnabler. Can I update it with this GEN-B or watever I need to play newer games?
    How can I do it?
     
  2. Yuan

    Yuan GBAtemp Maniac

    Member
    1,290
    13
    Oct 1, 2007
    Brazil
    No, it will brick your psp. Only 5.03 GEN is safe.
     
  3. FoolishDreamer
    OP

    FoolishDreamer Member

    Newcomer
    45
    0
    Oct 27, 2008
    United States
    So basically chickHEN users still can't play at newer games like persona.
    That's toobad... thx anyway
     
  4. Chris_Skylock

    Chris_Skylock GBAtemp Advanced Maniac

    Member
    1,501
    0
    Dec 26, 2008
    Philippines
    use the game decryptor to play newer games while on 5.03
     
  5. fkw12

    fkw12 GBAtemp Regular

    Member
    120
    0
    Sep 30, 2009
    New Zealand
    most newer games dont work on a PSP 3K even with Game Decrypter.
     
  6. Chris_Skylock

    Chris_Skylock GBAtemp Advanced Maniac

    Member
    1,501
    0
    Dec 26, 2008
    Philippines
    atleast, it's a start. it could be improved from time to time. I dont expect a fully functional at version 1. This is version 1, isnt it?
     
  7. justinefremlouw

    justinefremlouw GBAtemp Regular

    Member
    254
    10
    May 13, 2009
    United States
    Chi Town
    actually, its up to version 2 already, although I doubt any future releases would be made to accomodate 3000 users
     
  8. fkw12

    fkw12 GBAtemp Regular

    Member
    120
    0
    Sep 30, 2009
    New Zealand
    word.